//+------------------------------------------------------------------+
//|                                                     Test-buy.mq4 |
//|                       Copyright ?2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright ?2012, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern double TakeProfit = 30;
extern double Lots = 1;
extern double MagicNumber = 12345;
extern double TrailingStop = 15;
extern double Stoplose= 50;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   int MALine, CurrentPrice;
   CurrentPrice = Ask+20*Point;
   MALine = iMA(NULL,0,30,0,MODE_EMA,PRICE_CLOSE,0);
   
   int ticket, total;
   
   if(TakeProfit<10)
     {
      Print("TakeProfit less than 10");
      return(0);  // check TakeProfit
      }
     
//start trade - buy
total = OrdersTotal();
if(total < 1) //if no trade open
   {
   if (CurrentPrice > MALine)
      {
      ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Ask-Stoplose*Point,Ask+TakeProfit*Point,"My EA",MagicNumber,0,Red);
      if(ticket>0)
         {
         if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES))
         Print("BUY order opened : ",OrderOpenPrice());
         }
         else Print("Error opening BUY order : ",GetLastError());
         return(0);
      }
   }

//----
   return(0);
  }
//+------------------------------------------------------------------+